### Method

# GtkSource Buffer get_context_classes_at_iter

#### Declaration [src]

    gchar**
    gtk_source_buffer_get_context_classes_at_iter (
      GtkSourceBuffer* buffer,
      const GtkTextIter* iter
    )

#### Description [src]

Get all defined context classes at `iter`.

See the `GtkSourceBuffer` description for the list of default context classes.

#### Parameters

`iter`

  Type: `GtkTextIter`

  A `GtkTextIter`.

  The data is owned by the caller of the method.

#### Return value

Type: An array of `utf8`

A new `NULL` terminated array of context class names. Use `g_strfreev()` to free the array if it is no longer needed.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.